if (Gem.win_platform?) # Для windows
  Encoding.default_external = Encoding.find(Encoding.locale_charmap)
  Encoding.default_internal = __ENCODING__

  [STDIN, STDOUT].each do |io|
    io.set_encoding(Encoding.default_external, Encoding.default_internal)
  end
end
# Подключаю парсер
require 'rexml/document'
# Подключаю семью
require_relative 'product.rb'
require_relative 'book.rb'
require_relative 'disk.rb'
require_relative 'movie.rb'
# Переменная с дочерним классом выбранным пользователем
selected_class = Product.selected_class
# Подключаю выбранный пользователем
product = selected_class.new
# Вывожу на экран вопросы
product.price_amount
product.read_from_console
# Добавляю продукт в xml файл
product.save_product('data/my_store.xml')

puts 'Товар добавлен.'